server:
  port: 8001
  compression:
    enabled: true
    min-response-size: 1024
    mime-types: application/json
spring:
  application:
    name: b2b2c-web
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 50MB
  data:
    mongodb:
      uri: mongodb://prod:oJ6mZ2fY6aL3fS8yO8wF@127.0.0.1:27017/b2b2c
logging:
  file:
    name: ./log/${spring.application.name}.log
  level:
    com.slodon.b2b2c: info
slodon:
  b2b2c:
    datasource:
      write:
        url: jdbc:mysql://xinke-mysql.cpu2ywkeasd1.ap-southeast-1.rds.amazonaws.com:3306/xinkeaboard?useUnicode=true&useSSL=false&allowPublicKeyRetrieval=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
      read:
        url: jdbc:mysql://xinke-mysql.cpu2ywkeasd1.ap-southeast-1.rds.amazonaws.com:3306/xinkeaboard?useUnicode=true&useSSL=false&allowPublicKeyRetrieval=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai
socketio:
  # 客服模块socket配置
  im:
    host: 0.0.0.0    #监听的ip
    port: 8112        #监听端口
    # 设置最大每帧处理数据的长度，防止他人利用大数据来攻击服务器    maxFramePayloadLength: 1048576
    # 设置http交互最大内容长度
    maxHttpContentLength: 1048576
    # socket连接数大小（如只监听一个端口boss线程组为1即可）
    bossCount: 1
    workCount: 100
    allowCustomRequests: true
    # 协议升级超时时间（毫秒），默认10秒。HTTP握手升级为ws协议超时时间
    upgradeTimeout: 1000000
    # Ping消息超时时间（毫秒），默认60秒，这个时间间隔内没有接收到心跳消息就会发送超时事件
    pingTimeout: 6000000
    # Ping消息间隔（毫秒），默认25秒。客户端向服务器发送一条心跳消息间隔
    pingInterval: 25000

#geo地址
geoip:
  static:
    city:
      mmdb: /data/GeoLite2/GeoLite2-City.mmdb
